Showing results for 
Search instead for 
Did you mean: 

I cannot even install on my Samsung Galaxy Tab 3 8.0, says my device is not compatible with the version, yet it works on my Tab 2?????

Skylanders Lost Islands Forum

I cannot even install on my Samsung Galaxy Tab 3 8.0, says my device is not compatible with the version, yet it works on my Tab 2?????

When I found out this had an android app, I installed it on my Samsung S4 phone, and my Tab 2, but now that I have upgraded to the Tab 3 8.0, it is saying not compatible, are you going to be releasing a new version soon to work with this???

Level 1
Likes: 0
Posts: 1
Registered: ‎05-12-2013
9 REPLIES

Re: I cannot even install on my Samsung Galaxy Tab 3 8.0, says my device is not compatible with the version, yet it works on my Tab 2?????

in reply to Tatgrl

I have the same issue on my Tab 3-8.0.  Running Android 4.2.2.   Incompatible device.  Any fix for this soon?

Level 1
Likes: 0
Posts: 1
Registered: ‎30-12-2013

Re: I cannot even install on my Samsung Galaxy Tab 3 8.0, says my device is not compatible with the version, yet it works on my Tab 2?????

in reply to Quinnin

Hi Quinnin,

I'll send you a direct message regarding the matter in order to get more information from you.  Please be sure to check your inbox.

Regards ^AH

Community Coordinator
Likes: 325
Posts: 2471
Registered: ‎27-06-2013

Re: I cannot even install on my Samsung Galaxy Tab 3 8.0, says my device is not compatible with the version, yet it works on my Tab 2?????

in reply to _KidA_

I am having the same problem, any suggestions

Level 1
Likes: 0
Posts: 2
Registered: ‎01-02-2014

Re: I cannot even install on my Samsung Galaxy Tab 3 8.0, says my device is not compatible with the version, yet it works on my Tab 2?????

in reply to _KidA_

H7 can u let me know what to do to my android, updates downloaded and now skylanders wont load, work

Level 1
Likes: 0
Posts: 2
Registered: ‎21-04-2014

Re: I cannot even install on my Samsung Galaxy Tab 3 8.0, says my device is not compatible with the version, yet it works on my Tab 2?????

in reply to Tatgrl

Hi Tatgrl,

Thanks so much for your post.  Can you please specify which operating system version you are running on the Samsung Galaxy Tablet 3 8.0?

Regards ^AH

Community Coordinator
Likes: 325
Posts: 2471
Registered: ‎27-06-2013

Re: I cannot even install on my Samsung Galaxy Tab 3 8.0, says my device is not compatible with the version, yet it works on my Tab 2?????

in reply to _KidA_

Can u let me know how to solve this problem also, game was fine on level 33 I think updated android and game wont load saying retry dowload, not enough storage thanks

Level 1
Likes: 0
Posts: 2
Registered: ‎21-04-2014

Re: I cannot even install on my Samsung Galaxy Tab 3 8.0, says my device is not compatible with the version, yet it works on my Tab 2?????

in reply to Tatgrl

Same here. Upgraded from a Tab2 that went bad, came home with a Tab3 and can't play anymore. What a total bummer. Galaxy Tab3 10.1" GT-P5210 running Android 4.2.2 edit: To be clear, the game won't even install on a Tab3. Lists the app as "Not Compatible"

Level 1
Likes: 1
Posts: 5
Registered: ‎18-03-2014
Highlighted

Re: I cannot even install on my Samsung Galaxy Tab 3 8.0, says my device is not compatible with the version, yet it works on my Tab 2?????

in reply to Tatgrl

Galaxy Tab 3 8.0 is now supported, please give it a try.

Galaxy Tab 3 10.1 is unsupported due to technical issues with that specific device.

Level 1
Likes: 0
Posts: 1
Registered: ‎20-07-2011

Re: I cannot even install on my Samsung Galaxy Tab 3 8.0, says my device is not compatible with the version, yet it works on my Tab 2?????

in reply to agent242

Can we get some more details on if there's work being done towards supporting the 10.1 please?

Level 1
Likes: 1
Posts: 5
Registered: ‎18-03-2014
Visit us for the latest news, game information, screenshots, downloads and links. GO TO BLOGS